// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

var cats;

catchLoad(function() {
	loadByID("cats");
	if (!cats)
		return;
	
	cats = cats.childNodes;
	itert(cats, function(cat) {
		eventCatch(cat.firstChild, "click", catOnClick, cat);
		var title = cat.firstChild;
		while (title.className != "cat-title")
			title = title.nextSibling;
		eventCatch(title, "click", catOnClick, cat);
	});
});


function catAll(className) {
	className = "cat-" + className;
	itert(cats, function(cat) {
		cat.className = className;
	});
}

function catOnClick(e, cat) {
	cat.className = (cat.className == "cat-off") ? "cat-on" : "cat-off";
	return false;
}


var sdCur = null;

function sdDisplay(sid) {
	if (sdCur)
		sdCur.className = "nodeSD";
	sdCur = id("f" + sid);
	sdCur.className = "nodeSDcurrent";
}
