#!/usr/bin/perl

$rootdir = '/var/wwwdenif';

# Check that $rootdir is the script directory
use FindBin;
if ($rootdir ne $FindBin::RealBin) {
	print "Bad root dir in $FindBin::RealScript\n";
	print "Given:    $rootdir\n";
	print "Expected: $FindBin::RealBin\n";
	exit 1;
}

$files = $rootdir . '/data/';
$ENV{PATH} = '/bin';
system "chown www-data:denif -R $files";
system "chmod o=,gu=rwX -R $files";
exit 0;
